<?php
session_start();
require("../../database/dbConection.php");

$dataHoraHoje     = date("Y-m-d H:i");
$usuarioLogado    = $_SESSION['idUsuarioLogado'];
$idPaciente       = $_POST['idPaciente']=="" ? null : $_POST['idPaciente'];
$idSolicitacao    = $_POST['idSolicitacao']=="" ? null : $_POST['idSolicitacao'];
$whereSolicitacao = $_POST['idSolicitacao']=="" ? "id_sca_solicitacao IS NULL" : "id_sca_solicitacao='$idSolicitacao'";
$tipoDocumento    = $_POST['tipoDocumento'];
$arquivoDocumento = $_FILES['arquivoDocumento'];
$arquivoTemp      = $arquivoDocumento["tmp_name"];

$inicioNomeArquivo  = "P$idPaciente"."_S$idSolicitacao"."_";
$nomeArquivo        = $arquivoDocumento["name"]; 

#------verificar existência de documento igual na mesma solicitação-------#
$stmDocumentoExiste = $rsConexao->prepare("SELECT * FROM reg_tb_solicitacoes_anexos WHERE $whereSolicitacao AND id_paciente='$idPaciente' AND id_tipodocumento='$tipoDocumento'");
$stmDocumentoExiste -> execute();
if($stmDocumentoExiste->rowCount()>0){
  echo "JáExiste";
  exit;
}
#-------------------------------------------------------------------------#

#------realiza upload do arquivo-------#

if(move_uploaded_file($arquivoTemp,"../docsolicitacoes/$inicioNomeArquivo$nomeArquivo")){

  $sqlAdicionaDocumento = "INSERT INTO reg_tb_solicitacoes_anexos(
    id_sca_solicitacao,
    id_paciente,
    datahora_inclusao,
    id_tipodocumento,
    nomearquivo_documento,
    id_usuario_cadastrou
  )VALUES(
    :setIdSolicitacao,
    :setIdPaciente,
    :setDataHoraInclusao,
    :setTipoDocumento,
    :setNomeArquivo,
    :setUsuarioCadastrou
  )";
  $stmGravaDocumento  = $rsConexao->prepare($sqlAdicionaDocumento);
  $stmGravaDocumento  -> bindParam(":setIdSolicitacao",$idSolicitacao,PDO::PARAM_STR);
  $stmGravaDocumento  -> bindParam(":setIdPaciente",$idPaciente,PDO::PARAM_STR);
  $stmGravaDocumento  -> bindParam(":setDataHoraInclusao",$dataHoraHoje,PDO::PARAM_STR);
  $stmGravaDocumento  -> bindParam(":setTipoDocumento",$tipoDocumento,PDO::PARAM_STR);
  $stmGravaDocumento  -> bindParam(":setNomeArquivo",$nomeArquivo,PDO::PARAM_STR);
  $stmGravaDocumento  -> bindParam(":setUsuarioCadastrou",$usuarioLogado,PDO::PARAM_STR);
  $stmGravaDocumento  -> execute();

  $sqlDocumento = "SELECT reg_tb_solicitacoes_anexos.id_sca_documentoanexo, date_format(reg_tb_solicitacoes_anexos.datahora_inclusao,'%d/%m/%Y') AS dataInclusao, date_format(reg_tb_solicitacoes_anexos.datahora_inclusao,'%H:%i') AS horaInclusao, reg_rl_tipodocumento.nome_tipodocumento, reg_tb_solicitacoes_anexos.nomearquivo_documento, reg_tb_solicitacoes_anexos.id_tipodocumento FROM reg_tb_solicitacoes_anexos INNER JOIN reg_rl_tipodocumento ON (reg_tb_solicitacoes_anexos.id_tipodocumento = reg_rl_tipodocumento.id_tipodocumento) WHERE $whereSolicitacao AND id_paciente='$idPaciente'";

  $stmDocumento = $rsConexao->prepare($sqlDocumento);
  $stmDocumento ->execute();

  if($stmDocumento->rowCount()>0){
    $rsDocumento  = $stmDocumento->fetchAll(PDO::FETCH_ASSOC);
    foreach($rsDocumento AS $fieldDocumento){
      $idDocumento      = $fieldDocumento['id_sca_documentoanexo'];
      $dataHoraInclusao = $fieldDocumento['dataInclusao'].' ÀS '. $fieldDocumento['horaInclusao'];
      $tipoDocumento    = $fieldDocumento['nome_tipodocumento'];
      $idTipoDocumento  = $fieldDocumento['id_tipodocumento'];
      $nomeArquivo      = $fieldDocumento['nomearquivo_documento'];

      echo "<tr>
        <td align='center'>XXX</td>
        <td align='center'>$idTipoDocumento</td>
        <td align='center'>$dataHoraInclusao</td>
        <td>$tipoDocumento</td>
        <td>$nomeArquivo</td>
        <td>XXXXX</td>
      </tr>";
    }
  }
}


?>